> For the complete documentation index, see [llms.txt](https://api-docs.everreal.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.everreal.co/endpoints/tenants/tenants-query.md).

# Tenants Query

### **Introduction**

Our tenant query will get you the list of tenants from the respective company. We provides ability to filter the tenant query by externalId, updatedAt and candidateSources. Please make sure the paging option is used to fetch more items.

### Tenant Query

To query a property group from Everreal use `tenants` query

```graphql
type Query {
  tenants(input: TenantFilterListPaging): [Tenant]
}
```

**Schema**

```graphql
input TenantFilterListPaging {
  filter: TenantFilter
  paging: GraphPaging
  sort: GraphSorting
}

input TenantFilter {
  id: String
  candidateSources: [String]
  externalId: String
  updatedAt: IDateRange
}

input IDateRange {
  from: String
  to: String
}

input GraphPaging {
  skip: Int
  take: Int
}

input GraphSorting {
  fieldName: String
  direction: String
}

type Tenant {
  id: String
  externalId: String
  email: String
  firstName: String
  lastName: String
  company: Company
  createdAt: DateTime
  updatedAt: DateTime
  companyContact: CompanyContact
}

type CompanyContact {
  userId: String
  externalId: String
  firstName: String
  lastName: String
  email: String
  phoneNumber: String
  cellPhoneNumber: String
}

type Company {
  id: String
  name: String
  partnerId: String
  listings: [Listing]
}
```

*example for tenant query*

{% tabs %}
{% tab title="GraphQL" %}

```graphql
{
  tenants(
    input: {
      filter: { externalId: "external-tenant-3" }
      paging: { skip: 0, take: 20 }
    }
  ) {
    id
    firstName
    lastName
    externalId
    email
    company {
      id
    }
    createdAt
    updatedAt
  }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.everreal.co/endpoints/tenants/tenants-query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
